STRUCT HSI_CLIENT(9)

NAME
struct_hsi_client - HSI client attached to an HSI port

SYNOPSIS

struct hsi_client {
  struct device device;
  struct hsi_config tx_cfg;
  struct hsi_config rx_cfg;
};

MEMBERS

device
    Driver model representation of the device

tx_cfg
    HSI TX configuration

rx_cfg
    HSI RX configuration

E_HANDLER

Callback for handling port events (RX Wake High/Low)

PCLAIMED

Keeps tracks if the clients claimed its associated HSI port

NB

Notifier block for port events

COPYRIGHT